#include <stdio.h>
#include <fat.h>
#include <nds.h>

#include <unistd.h>

#include "main.h"
#include "intro.h"
#include "a5200utils.h"

int bg0, bg1, bg2, bg3;             // BG pointers 
int bg0s, bg1s, bg2s, bg3s;         // sub BG pointers 
volatile u16 vusCptVBL;             // VBL test

void irqVBlank(void) { 
  // Manage time
  vusCptVBL++;
}

// Program entry point
int main(int argc, char **argv) {
  // Init sound
  consoleDemoInit();
  soundEnable();
  lcdMainOnTop();

  // Init Fat
	if (!fatInitDefault()) {
		iprintf("Unable to initialize libfat!\n");
		return -1;
	}

  // Init Timer
	dsInitTimer();
  dsInstallSoundEmuFIFO();
  
  // Intro and main screen
  intro_logo();  
  dsInitScreenMain();
  etatEmu = A5200_MENUINIT;

  // 
  if (!load_os("5200.rom")) {
    // Main loop of emulation
    dsMainLoop();
  }
  else {
    dsShowScreenMain();
    dsPrintValue(0,0,0, "Can't find 5200.rom BIOS"); 
    dsReadPad();
  }
  
  // Free memory to be correct 
  dsFreeEmu();
  
  return(0);
}
